List Subscribers

​

List all channel subscribers.

Path Parameters

  • Gumlet workspace ID. You can get it on Gumlet dashboard or retrieve it using list workspace API.

Query Parameters

  • Page number to retrieve. Starts at 1.

  • Number of items to return per page

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/channel/{workspace_id}/viewers
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const channelViewer = await client.channelViewers.listSubscribers('workspaceId', {
  page_number: 1,
  page_size: 10,
});

console.log(channelViewer);
{
  "subscriptions": [
    {
      "id": "string",
      "email": "hello@example.com",
      "name": "string",
      "status": "string",
      "channel_title": "string",
      "invited_at": "string",
      "invited_by": "string",
      "invitation_link": "string"
    }
  ],
  "total_count": 1
}